:root {
    /* COLORES PREDEFINIDOS */
    --color-dorado: linear-gradient(135deg, #c48602,#e7b62e,#d29410, #e0b132, #d99709);
    --color-dorado-claro: linear-gradient(135deg, #C29118,#FEFB34,#FCD429, #F6CD26, #C29118);
    --color-plata: linear-gradient(135deg, #818181, #dcdcdc,#a3a3a3, #cfcfcf,#858585);
    --color-lila: linear-gradient(135deg, #b579b5, #d6a5d6,#bb77bb,#d7a0d7, #bb81bb);
    --color-verde-esmeralda: linear-gradient(135deg, #1db54f, #58c65c,#118d15,#69c36c, #3bab40);
    --color-rosa-fucsia: linear-gradient(135deg, #f02a7d, #ff63b1,#d75294,#fc6fb6, #d36bb4);
    --color-rosa-pastel: linear-gradient(135deg, #f6a6b9,#ffc0ce,#faabbd, #fdcdda, #ec9ab5);
    --color-azul-celeste: linear-gradient(135deg, #77c7e6,#9fd9f0,#4eabcf, #ADD8E6, #69cfdc);
    --color-azul-marino: linear-gradient(135deg, #000080, #143084,#0f2080, #0d2479,#06066c);
    --color-rojo: linear-gradient(135deg, #ba1f1f,#c65454,#b52727, #eb4a4a, #B22222);
}

:root{
    --espacio-arriba:20%;
    --espacio-abajo:27%;
    --separacion:7%;
    --color-principal:#ffdae3;
    --text-shadow: rgba(255, 255, 255, 0.3);
    --padding-bottom: 10%;
    --invertir-img: invert(0%);
    --invertir-img-itinerario: invert(0%);

    /* POSICIONES */
    --decoraciones:2;
    --video:-1;
    --contenido:1;
    --extremos:3;
    --musica:4;

    /* EVENTO */
    --nombre-evento:7vw;
    --nombre-evento-fuente: 'Dancing Script', cursive;
    --nombre-evento-color:rgb(0, 0, 0);
    
    /* NOMBRE O NOMBRES */
    --nombre:27vw;
    --nombre-fuente: 'Dancing Script', cursive;
    --nombre-color:rgb(0, 0, 0);

    /* FOTO */
    --foto-tamanio:80%;

    /* FRASE */
    --frase: 5vw;
    --frase-fuente: 'Bellefair', serif;
    --frase-ancho:80%;

    /* SUBTITULOS */
    --subtitulos:5vw;
    --subtitulos-fuente: 'Quicksand', sans-serif;
    --subtitulos-color:rgb(28, 28, 28);

    /* TEXTOS */
    --textos:4vw;
    --textos-fuente:'DM Sans', sans-serif;
    --textos-color: rgb(0, 0, 0);

    /* FECHA */
    --fecha-fuente: 'Albert Sans', sans-serif;

    /* CUENTA REGRESIVA */
    --cuenta-color-fondo: rgba(255, 255, 255, 0.9);
    --cuenta-color-texto: rgba(0, 0, 0);
    --cuenta-ancho:90%;

    /* UBICACIONES */
    --lugar:4vw;
    --direccion:4vw;
    --hora:4vw;

    /* DESPEDIDA */
    --despedida: 9vw;

    /* BOTON */
    --boton:3vw;
    --boton-color:#ffc1d1;
    --boton-texto-color:rgb(34, 34, 34);

    /* BOCINA */
    --bocina-tamanio: 12vw;
    --bocina-posicion: 3vw;
    --bocina-fondo: rgba(255, 255, 255, 0.7);

    /* SOBRE */    
    --color-sobre: var(--color-principal);
    --lineas-color: rgb(227, 139, 155);
    --line-sobre: var(--lineas-color);        
    --banda-sobre-borde: var(--lineas-color);
    --sobre-texto: var(--lineas-color);
    --sobre-font-size:7.8vw;
    --sobre-font-family:'Carattere';
    --sobre-font-weight:900;
    --sobre-letter-spacing:0.2vw;
    --sobre-line-height: 1.0;
}

@media (prefers-color-scheme: dark) {
    :root {
        --color-principal: #ffdae3;
        --text-shadow: rgba(255, 255, 255, 0.3);
        --nombre-evento-color: rgb(0, 0, 0);
        --nombre-color: rgb(0, 0, 0);
        --subtitulos-color: rgb(28, 28, 28);
        --textos-color: rgb(0, 0, 0);
        --cuenta-color-fondo: rgba(255, 255, 255, 0.9);
        --cuenta-color-texto: rgb(0, 0, 0);
        --boton-color: #ffc1d1;
        --boton-texto-color: rgb(34, 34, 34);
        --bocina-fondo: rgba(255, 255, 255, 0.7);
        --color-sobre: var(--color-principal);
        --line-sobre: rgb(255, 255, 255);
    }
}

/* MARK: Decoraciones */
/* DECORACIONES */

.top img{
    width: 55%;
    position: fixed;
    top: 0;
    left: 0;
    margin-top: -3%;
    margin-left: -6%;
    z-index: var(--decoraciones);
}
.bottom img{
    width: 55%;
    position: fixed;
    bottom: 0;
    right: 0;
    margin-bottom: -6%;
    margin-right: -7%;
    z-index: var(--decoraciones);
}

/*  
 .top img{
    width: 55%;
    position: fixed;
    top: 0;
    right: 0;
    margin-top: -0%;
    margin-right: -0%;
    z-index: var(--decoraciones);
}
.bottom img{
    width: 55%;
    position: fixed;
    bottom: 0;
    left: 0;
    margin-bottom: -0%;
    margin-left: -0%;
    z-index: var(--decoraciones);
}
 */
/* MARK: Video Fondo */
.video-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index:var(--video);
}

.video-container video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/* MARK:Evento */
h1{
    font-family: var(--nombre-evento-fuente);
    font-size: var(--nombre-evento);
    color: var(--nombre-evento-color);
    text-align: center;
    margin: 0;
    z-index: 1;
}


/* MARK:Nombre */
h2{
    font-family: var(--nombre-fuente);
    font-size: var(--nombre);
    color: var(--nombre-color);
    font-weight: 700;
    text-align: center;
    line-height:0.9;
    margin-top: 1vw;
    margin-bottom: 0;
    z-index: 1;
}

h3{
    font-family: var(--subtitulos-fuente);
    font-size: var(--subtitulos);
    color: var(--subtitulos-color);
    margin-top: 0;
    margin-bottom: 2vw;
}


body{
    width: 100%;
    margin: 0;
    display: flex;
    background: var(--color-principal);
    overflow-x:hidden;
    /* overflow-y: hidden; */
    display: flex;
    flex-direction: column;
}

/* MARK: Fondo */
.contenido{
    position: relative;
    margin: auto;

/*     
    background: url(../../../../Fondos/rosita1.jpeg);
    background: url(../../../../Fondos/rosa_patron_flores7.jpg);
    background-size: contain;
    background-position: center; 
   */

    width: 100%;
    padding: 0%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-shadow: 
    2px 2px 2px var(--text-shadow),
    -2px -2px 2px var(--text-shadow),
    0 2px 2px var(--text-shadow);
    padding-top: var(--espacio-arriba);
    padding-bottom: var(--espacio-abajo);
}


.invertir{
    filter: var(--invertir-img) !important;
}

.invertir-itinerario{
    filter: var(--invertir-img-itinerario) !important;
}

.encabezado{
    z-index: var(--extremos);
    margin: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}


/* MARK: Foto */
.foto{
    z-index: var(--contenido);
    width: var(--foto-tamanio);
    margin-top: 0%;
    margin-bottom: -5%;
    position: relative;
}

.foto .principal,.aro-foto{
    position: absolute;
    border-radius: 50%;
    width: 75%;
    height: 75%;
    object-fit: cover;
    left: 12%;
    top: 12%;
}

.foto .aro{
    width: 100%;
}

.foto-full{
    width: 100%;
    /* margin-top: var(--separacion); */
}


/* MARK: Frase */
.frase{
    z-index: var(--contenido);
    text-align: center;
    font-family: var(--frase-fuente);
    font-size:var(--frase);
    color: var(--textos-color);
    width: var(--frase-ancho);
    line-height:1;
    margin-top: var(--separacion);
}


/* MARK: Familia - Texto */
/* FAMILIA */
.familia{
    z-index: var(--contenido);
    width: 95%;
    display: flex;
    flex-direction: column;
    text-align: center;
    margin-top: var(--separacion);
}

.familia .nombre{
    font-family: var(--textos-fuente);
    font-size: var(--textos);
    color: var(--textos-color);
    margin: 0;
    line-height: 1;
}


/* MARK: MENSAJE */
.mensaje {
    margin-top: 2%;
    margin-bottom: 1%;
    border-radius: 2vw;
    padding: 2vw;
    width: 70%;
    height: 3em; /* Ajusta la altura según tus necesidades */
    border: 0.4vw solid var(--boton-color);
    resize: none; /* Permite al usuario ajustar la altura si lo desea */
}



/* MARK: Fecha */
/* FECHA */
.fecha{
    z-index: var(--contenido);
    font-family: var(--fecha-fuente);
    color: var(--textos-color);
    margin: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    height: 8vw;
    margin-top: var(--separacion);
}

.fecha p{
    font-size: 5vw;
    font-weight: 600;
}

.fecha .mes{
    font-weight: 500;
}

.fecha .barra{
    font-weight: 900;
    background: var(--textos-color);
    height: 6vw;
    width: 1px;
    margin-left: 2vw;
    margin-right: 2vw;
}

.invisible{
    font-size: 1px;
    color: transparent;
}


/* MARK: Cuenta Regresiva */
/* CUENTA REGRESIVA */
.cuenta{
    z-index: var(--contenido);
    background: var(--cuenta-color-fondo);
    border-radius: 5vw;
    width: var(--cuenta-ancho);
    padding: 1vw;
    display: flex;
    flex-direction: row;
    font-family: var(--fecha-fuente);
    color: var(--cuenta-color-texto);
    text-shadow: none;
    margin-top: var(--separacion);
}

.cuenta .segmento{
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin:0vw;
}

.cuenta .unidad{
    font-size: 3vw;
}

.cuenta .numero{
    font-size: 4vw;
    font-weight: 900;
    margin-right: 2vw;
}




/* MARK: Ubicación */
/* UBICACION */
.ubicacion{
    margin: auto;
    text-align: center;
    width: 80%;
    display: flex;
    flex-direction: column;
    z-index: var(--contenido);
    text-decoration: none;
    margin-top: var(--separacion);
}

.ubicacion img{
    filter: var(--color-fotos);
    width: 15%;
    opacity: 0.9;
}
.ubicacion .foto{
    filter: invert(0%);
    border-radius: 2vw;
    width: 90% ;
    margin-bottom: 1VW;
    animation: rotar 3s infinite;
}

.ubicacion .lugar{
    font-family: var(--subtitulos-fuente);
    font-weight: 800;
    font-size: var(--lugar);
    line-height: 1;
    color: var(--subtitulos-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0;
}

.ubicacion .direccion{
    font-family: var(--textos-fuente);
    color: var(--textos-color);
    font-size: var(--direccion);
    line-height: 0.9;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 1vw;
}

.ubicacion .hora{
    font-family: var(--subtitulos-fuente);
    font-weight: 800;
    color: var(--subtitulos-color);
    font-size: var(--hora);
}

/* MARK: Botones */
.boton{
    z-index: var(--contenido);
    font-family: var(--subtitulos-fuente);
    font-weight: 800;
    font-size: var(--boton);
    text-shadow: none;
    margin: auto;
    margin-top: 1vw;
    margin-bottom: 2vw;
    background: var(--boton-color);
    color: var(--boton-texto-color);
    padding: 1vw;
    border-radius: 2vw;
    width: 25%;
}



/* MARK: Texto - img */
/* EXTRA */
.extra{
    width: 80%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    text-decoration: none;
    z-index: var(--contenido);
    margin-top: var(--separacion);
}

.extra img{
    width: 12%;
}

.extra .qr{
    width: 50%;
    border-radius: 10%;
}

.extra .texto{
    font-family: var(--textos-fuente);
    font-size: var(--textos);
    color: var(--textos-color);
    margin-top: 1vw;
    margin-bottom: 0vw;
    width: 80%;
    line-height: 1.2;
}

.extra .importante{
    font-family: var(--textos-fuente);
    font-size: var(--textos);
    color: var(--textos-color);
    margin-top: 0vw;
    margin-bottom: 2vw;
    width: 95%;
    line-height: 1;
}

.extra .informacion{
    display: flex;
    flex-direction: column;
}

button{
    border: none;
}

/* MARK: Fotos */
/* RECUERDOS */
#grid{
    width: 80%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    text-decoration: none;
    z-index: var(--contenido);
    margin-top: var(--separacion);
    margin-bottom: -10%;
}

#grid .container-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 2%;
}

#grid .column {
    flex: 0 0 calc(33.33% - 2%);
}
  
#grid .column.full-width {
    flex-basis: 100%;
}
  
#grid img {
    width: 100%;
    height: auto;
    display: block;
    margin-bottom: 10%;
    border-radius: 2vw;
    animation: rotar 5s infinite;
}


/* MARK: Itinerario */
/* ITINERARIO */
.itinerario{
    z-index: var(--contenido);
    width: 70%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin-top: var(--separacion);
}

.itinerario .evento{
    display: grid;
    grid-template-columns: 45% 45%;
    column-gap: 10%;
    margin-top: 2vw;
    background: rgba(255, 255, 255, 0.066);
    border-radius: 5vw;
    padding: 2vw;
    backdrop-filter: blur(1vw);
}

.itinerario .evento .icono{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.itinerario .evento .icono .circulo{
    margin: auto;
    width: 16vw;
    height: 16vw;
    border-radius: 50%;
    background: var(--boton-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

.itinerario .evento .icono .circulo img{
    margin: auto;
    width: 60%;
}

.itinerario .evento .item{
    display: flex;
    flex-direction: column;
    text-align: center;
}

.itinerario .evento .item .nombre{
    font-size: var(--textos);
    color: var(--textos-color);
    font-family: var(--textos-fuente);
    margin: auto;
}

.itinerario .evento .item .hora{
    font-size: var(--subtitulos);
    color: var(--subtitulos-color);
    font-family: var(--subtitulos-fuente);
    margin: auto;
}




/* MARK: Despedida */
/* DESPEDIDA */
.despedida{
    z-index: var(--extremos);
    font-size: var(--despedida);
    font-family: var(--nombre-fuente);
    margin-top: var(--separacion);
    text-align: center;
    width: 80%;
    color: var(--subtitulos-color);
}


/* MUSICA */
#toggleButton {
    position: fixed;
    left: 10px;
    bottom: 10px;
    width: 0px;
    height: 0px;
    background: transparent;
    border: none;
    z-index: var(--musica);
}

/* MARK: Bocina */
#toggleButton img{
    position: fixed;
    left: var(--bocina-posicion);
    bottom: var(--bocina-posicion);
    width: var(--bocina-tamanio);
    height: var(--bocina-tamanio);
    border-radius: 50%;
    -webkit-box-shadow: 0px 0px 7px 0px rgba(0, 0, 0, 0.7); 
    box-shadow: 0px 0px 7px 0px rgba(0, 0, 0, 0.7);
    padding: 2px;
    background: var(--bocina-fondo);
    cursor: pointer;
}


.boom {
    animation: 1.5s boom infinite;
}

@keyframes boom {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.15);
    }

    100% {
        transform: scale(1);
    }
}




/* MARK: SOBRE */
.sobre .first {
    background-color: var(--color-principal);
    border: 0.3vw solid var(--line-sobre) !important;
}

.sobre .second {
    background-color: var(--color-principal);
    border: 0.3vw solid var(--line-sobre) !important;
}

.sello {
    background: var(--color-sobre);
    color: var(--sobre-texto);
    box-shadow: none;
    border: 0.6vw solid var(--banda-sobre-borde) !important;
    font-family: var(--sobre-font-family);
    font-size: var(--sobre-font-size);
    font-weight: var(--sobre-font-weight);
    letter-spacing: var(--sobre-spacing);
    line-height: var(--sobre-line-height);
}

.banda-sobre{
    border: solid 1.4vw var(--banda-sobre-borde);
}



/* MARK: ANIMACIONES */
@keyframes aleteo {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.15) rotateY(45deg);
    }

    100% {
        transform: scale(1);
    }
}


/* MARK: QR Editables */

.confirmacion-asistencia{
    text-align: center;
    width: 90%;
    margin: auto;
    margin-bottom: 2%;
    margin-top: var(--separacion);
}

.confirmacion-asistencia form{
    margin: auto;
    margin-top: 2%;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--textos-color);
    font-size: var(--textos);
    font-family: var(--textos-fuente);
}


.confirmacion-asistencia .familia-input{
    border-radius: 2vw;
    width: 60%;
    border: 0.4vw solid var(--color-elementos);
    margin-top: 1%;
    padding: 0.7vw;
    background: var(--boton-color);
    color: var(--boton-texto-color);
    font-size: 3vw;
}

.confirmacion-asistencia select{
    border-radius: 2vw;
    font-size: 3vw;
    text-align: center;
    width: 60%;
}





/* MARK: Impresión */
/* 
.ubicacion{transform: none !important;opacity: 1;}
.no-print{display: none !important;} 
.aro{filter: opacity(0);}
.hora{margin-top: -8%;}
.top img{position: absolute;top: 0;}
.bottom img{position: absolute;bottom: 0;}

.foto .principal,.aro-foto{
    width: 85%;
    height: 85%;
    left: 7%;
    top: 5%;
}

:root{
    --espacio-arriba:27%;
    --espacio-abajo:29%;
    --separacion:4% !important;
}

 */
.print-img{display: none;} 




/* MARK: Sin Foto */
/* CAPTURA */
/* 
.contenido{
    padding-top: 40%;
}
h1{
    font-size:8vw;
}
h2{
    font-size: 22vw;
    padding-bottom: 30%;
} 
.top img{
    width: 100%;
    margin-top: -0%;
}
.bottom img{
    width: 100%;
    margin-bottom: -0%;
}
.no-foto{display: none !important;} 
*/